Bug 158763 - [MAINTAINER][PATCH] devel/gps-5.0.0: fix project properties crash
Summary: [MAINTAINER][PATCH] devel/gps-5.0.0: fix project properties crash
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frederic Culot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-10 15:30 UTC by John Marino
Modified: 2011-07-16 18:00 UTC (History)
0 users

See Also:


Attachments
file.txt (2.35 KB, text/plain)
2011-07-10 15:30 UTC, John Marino
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino 2011-07-10 15:30:10 UTC
When using the GNAT Programming Studio, selecting the library project dialog will cause GPS to crash every time due to a bug in the code.

Unfortunately, Adacore only provides public access to the trunk of the code repository, and not the branches.  This bug was fixed after version 5.0.0 was branched.  That bug fix is carried over here by patching three files.

Fix: Patch attached with submission follows:
How-To-Repeat: 1. Launch GPS
2. Open a project
3. Menu > Project > Edit Project Properties > Library Tab

## CRASH ## 
Crash is graceful, a message tells where to find the crash log.
Comment 1 Frederic Culot freebsd_committer 2011-07-15 10:13:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->culot

I'll take it.
Comment 2 dfilter service freebsd_committer 2011-07-16 17:53:08 UTC
culot       2011-07-16 16:52:52 UTC

  FreeBSD ports repository

  Modified files:
    devel/gps            Makefile 
  Added files:
    devel/gps/files      
                         patch-prj_editor-src-project_properties.adb 
                         patch-prj_editor-src-project_viewers.adb 
                         patch-prj_editor-src-project_viewers.ads 
  Log:
  - Fix a runtime crash when trying to access the project properties menu
  - Bump PORTREVISION
  
  PR:             ports/158763
  Submitted by:   John Marino <freebsdml@marino.st> (maintainer)
  
  Revision  Changes    Path
  1.3       +1 -0      ports/devel/gps/Makefile
  1.1       +20 -0     ports/devel/gps/files/patch-prj_editor-src-project_properties.adb (new)
  1.1       +11 -0     ports/devel/gps/files/patch-prj_editor-src-project_viewers.adb (new)
  1.1       +11 -0     ports/devel/gps/files/patch-prj_editor-src-project_viewers.ads (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Frederic Culot freebsd_committer 2011-07-16 17:53:31 UTC
State Changed
From-To: open->closed

Committed. Thanks!